org.apache.tapestry5.internal.webresources

## Enum CacheMode

- java.lang.Object
- - java.lang.Enum<CacheMode>
  - - org.apache.tapestry5.internal.webresources.CacheMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CacheMode>

      public enum CacheMode
      extends java.lang.Enum<CacheMode>

  Controls caching for `ResourceTransformerFactory` in development mode. In production mode, caching at this level is not needed, because artifacts are also cached later in the pipeline. This caching is all about avoid unwanted

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MULTIPLE_FILE` The source may be multiple files (e.g., Less).
    `NONE` Do no caching.
    `SINGLE_FILE` Cache the content on the file system, in the directory defined by `WebResourcesSymbols.CACHE_DIR`.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CacheMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CacheMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SINGLE_FILE

          public static final CacheMode SINGLE_FILE

      Cache the content on the file system, in the directory defined by `WebResourcesSymbols.CACHE_DIR`. This allows compilation to be avoided even after a restart, as long as the source file has not changed. This only works for compilations that operate on a single file (such as CoffeeScript, but not Less, which has an `@import` statement).

    - #### MULTIPLE_FILE

          public static final CacheMode MULTIPLE_FILE

      The source may be multiple files (e.g., Less). Cache in memory, and invalidate the cache if any of the multiple file's content changes.

    - #### NONE

          public static final CacheMode NONE

      Do no caching. This is appropriate for extremely cheap compilers.

  - ### Method Detail

    - #### values

          public static CacheMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CacheMode c : CacheMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CacheMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.